/**
 * 异常模块
 * @date 2022-03
 * @author 何华东
 */
/**
 * 参数异常
 * @param paramName 参数名
 */
export declare class ParamError extends Error {
    paramName?: string;
    constructor(message: string, paramName?: string);
}
/**
 * 参数无效异常
 * @param paramName 参数名
 */
export declare class ParamInvalidError extends ParamError {
    constructor(paramName?: string);
}
/**
 * 参数为空异常
 * @param paramName 参数名
 */
export declare class ParamEmptyError extends ParamError {
    constructor(paramName?: string);
}
/**
 * 参数解密失败异常
 * @param paramName 参数名
 */
export declare class ParamDecryptFailedError extends ParamError {
    constructor(paramName?: string);
}
/**
 * 验签失败异常
 */
export declare class ValidateSignFailedError extends Error {
    constructor();
}
